TDFX(4)

NAME
tdfx - Voodoo Graphics and VoodooII Memory Access GLIDE device driver

SYNOPSIS
device tdfx

DESCRIPTION
This driver creates an entry in /dev that allows programs (mostly GLIDE-based software) to access the device memory of the Voodoo Graphics and VoodooII 3D accelerators created by 3Dfx, Inc. This provides an interface for applications based on the GLIDE API or that simply use the API provided by the linux /dev/3dfx device to use the video device.

Supports all cards based on the following chipsets:

3Dfx Voodoo Graphics
3Dfx Voodoo II

Specifically, the following cards should work:

Diamond Multimedia Monster 3D
Diamond Multimedia Monster 3D II

Note that this driver does not currently have support for the Voodoo Banshee, Voodoo3, Voodoo5, or Voodoo6 based cards. It also does not currently support the Voodoo Rush. It also does not yet handle the SLI feature of the Voodoo II boards. You can only use each of them separately.

By loading the tdfx_linux.ko and linux.ko modules, you can enable the linux ioctl code for this driver, where the only supported applications currently reside.

FILES
/dev/3dfx
    Symlinked to default 3dfx board
/dev/3dfx*
    Character Device programming interface

/dev/voodoo
    Mirrors of above interfaces
/dev/voodoo*
    (Some apps use /dev/voodoo)

SEE ALSO
kld(4), linux(4), kldload(8)

HISTORY
The tdfx driver appeared in FreeBSD 5.0, and was originally developed for Linux kernel 2.0.x, later written for 2.2.x and 2.4.x.

AUTHORS
-nosplit The driver was developed by Coleman Kane <cokane@micro.ti.com> after the linux version of this driver by Darryll Straus, John Taylor, Jens Axboe, Carlo Wood <carlo@alinoe.com> and Joseph Kain <joseph@3dfx.com> to be directly compatible with it and support the many GLIDE based games available for Linux and UNIX.